Email API v.2 - SendGrid facade - compatibility Layer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Table 1. HTTP 400

errorCodetypeExplanation
000000InvalidDomainThe provided sender domain is invalid. It needs to get added and verified to be used.
000001InvalidSenderThe provided sender is invalid. It needs to get added and verified to be used.
000002UnverifiedSenderThe provided sender is unverified. It needs to get verified to be used.
000004NoActiveSubscriptionNo active transactional email subscription exists
000005InsufficientResourcesExceptionIn case resources are not enough to send email (depleted or limited)
Body Params
mail_settings
object

Optional parameter (object) mail_settings contains a child object : footer

personalizations
object

Personalizations array contains arrays of emailAddresses representing contacts to be included in the "to","cc" and "bcc" headers of your message

attachments
object

Optional array of objects containing the file attachments.

reply_to
object

Optional object indicating which will be the address to use in case when the recipient replies to the message. If not set, then the contents of from objects are used.

string

The subject of the email, up to 144 UTF8 characters. It is not strictly required but it is strongly recommended to fill this property with something meaningful.

from
object

This is a required object representing the sender of this message.

content
object

Array containing the content of the message divided based on content type (html, text).

Headers
string
Defaults to application/json
string
Defaults to Bearer {Authentication Token}

Authentication Token is the one you have received during User Authentication Process

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json